org.deidentifier.arx.common

## Class Groupify.Group<U>

- java.lang.Object
- - org.deidentifier.arx.common.Groupify.Group<U>

Type Parameters:
  `U` -

Enclosing class:
  Groupify<T>

    public static class Groupify.Group<U>
    extends java.lang.Object

Entry

Author:
  Fabian Prasser, Florian Kohlmayer

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCount()` The count
`U` `getElement()` The element
`boolean` `hasNext()` Returns whether a next entry exists
`void` `incCount(int count)` Increments the count
`Groupify.Group<U>` `next()` Returns the next entry, null if this is the last entry

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getCount

    public int getCount()

The count

#### getElement

    public U getElement()

The element

#### hasNext

    public boolean hasNext()

Returns whether a next entry exists

Returns:

#### incCount

    public void incCount(int count)

Increments the count

Parameters:
  `count` -

#### next

    public Groupify.Group<U> next()

Returns the next entry, null if this is the last entry

Returns: